using FastBlog.Core.Models.Users;

namespace FastBlog.Core.Abstractions.Repositories.Users;

public interface ISessionRepository
{
    Task<Session?> Get(string token);
    Task<Session?> Set(Session session);
    Task<Session?> Touch(string token);
    Task<bool> Deactivate(string token);
    Task<bool> RemoveAll(int userId);
}